Package ru.bitel.bgbilling.modules.aots.common.bean

# Class AOTSContractService

java.lang.Object
ru.bitel.bgbilling.modules.aots.common.bean.AOTSContractService

public class AOTSContractService extends Object

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AOTSContractService()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `BigDecimal`
  `getAmount()`
  `String`
  `getComment()`
  `int`
  `getContractId()`
  `int`
  `getContractObjectId()`
  `BigDecimal`
  `getCost()`
  `int`
  `getEntityId()`
  `int`
  `getEntityModuleId()`
  `String`
  `getId()`
  `BigDecimal`
  `getNdsRate()`
  `int`
  `getServiceId()`
  `BigDecimal`
  `getServiceSum()`
  `LocalDateTime`
  `getServiceTime()`
  `int`
  `getUserId()`
  `AOTSContractService`
  `setAmount(BigDecimal amount)`
  `AOTSContractService`
  `setComment(String comment)`
  `AOTSContractService`
  `setContractId(int contractId)`
  `AOTSContractService`
  `setContractObjectId(int contractObjectId)`
  `AOTSContractService`
  `setCost(BigDecimal cost)`
  `AOTSContractService`
  `setEntityId(int entityId)`
  `AOTSContractService`
  `setEntityModuleId(int entityModuleId)`
  `AOTSContractService`
  `setId(String id)`
  `AOTSContractService`
  `setNdsRate(BigDecimal ndsRate)`
  `AOTSContractService`
  `setServiceId(int serviceId)`
  `AOTSContractService`
  `setServiceSum(BigDecimal serviceSum)`
  `AOTSContractService`
  `setServiceTime(LocalDateTime serviceTime)`
  `AOTSContractService`
  `setUserId(int userId)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### AOTSContractService

    public AOTSContractService()

- ## Method Details

  - ### getNdsRate

    public BigDecimal getNdsRate()

  - ### getComment

    public String getComment()

  - ### getId

    public String getId()

  - ### getContractId

    public int getContractId()

  - ### getContractObjectId

    public int getContractObjectId()

  - ### getEntityModuleId

    public int getEntityModuleId()

  - ### getEntityId

    public int getEntityId()

  - ### getServiceId

    public int getServiceId()

  - ### getUserId

    public int getUserId()

  - ### getServiceTime

    public LocalDateTime getServiceTime()

  - ### getAmount

    public BigDecimal getAmount()

  - ### getCost

    public BigDecimal getCost()

  - ### getServiceSum

    public BigDecimal getServiceSum()

  - ### setId

    public AOTSContractService setId(String id)

  - ### setContractId

    public AOTSContractService setContractId(int contractId)

  - ### setContractObjectId

    public AOTSContractService setContractObjectId(int contractObjectId)

  - ### setEntityModuleId

    public AOTSContractService setEntityModuleId(int entityModuleId)

  - ### setEntityId

    public AOTSContractService setEntityId(int entityId)

  - ### setServiceId

    public AOTSContractService setServiceId(int serviceId)

  - ### setUserId

    public AOTSContractService setUserId(int userId)

  - ### setServiceTime

    public AOTSContractService setServiceTime(LocalDateTime serviceTime)

  - ### setAmount

    public AOTSContractService setAmount(BigDecimal amount)

  - ### setCost

    public AOTSContractService setCost(BigDecimal cost)

  - ### setServiceSum

    public AOTSContractService setServiceSum(BigDecimal serviceSum)

  - ### setNdsRate

    public AOTSContractService setNdsRate(BigDecimal ndsRate)

  - ### setComment

    public AOTSContractService setComment(String comment)